*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    height: 100vh;
    width: 100%;
    background: linear-gradient(0deg, rgba(26,31,158,1) 0%, rgba(11,7,38,1) 100%);
    display: flex;
    justify-content: center;
    align-items: center;
}
.main{
    height: 35rem;
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(14, 11, 11, 0.747);
    border-radius: 30px;
    box-shadow: 0 8px 32px blue;
}
header{
    top: 13%;
    position: absolute;
    left: 10%;
    font-size: 30px;
    color: aliceblue;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    animation: header 1s ease-in-out;
}
@keyframes header{
    0%{
        transform: translateX(-100%);
    }
}
nav{
    top: 14%;
    position: absolute;
    right: 10%;
    animation: nav 1s ease-in-out;
}
@keyframes nav{
    0%{
        transform: translateY(-100%);
    }
}
nav a{
    text-decoration: none;
    margin-right: 50px;
    font-size: 25px;
    color: aliceblue;
    transition: .3s;
}
a{
    animation: a 1s ease-in-out;
}
@keyframes a{
    0%{
        transform: translateY(100%);
    }
}
.active{
    color: blue;
}
nav a:hover{
    color: rgb(49, 49, 236);
}
.main4{
    position: absolute;
    top: 30%;
    right: 20%;
}
img{
    animation: img 1s ease-in-out;
}
@keyframes img{
    0%{
        transform: translateX(30%);
    }
}
.main4 img{
    border-radius: 20%;
    box-shadow: 0 0 10px white;
}
.main3 h3{
    color: aliceblue;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 35px;
    position: absolute;
    left: 14%;
    top: 25%;
    text-shadow: 5px 5px 2px black;
}
.main3 h1{
    color: rgb(49, 49, 236);
    font-family: cursive;
    font-size: 50px;
    position: absolute;
    top: 32%;
    left: 15%;
    text-shadow: 5px 5px 2px black;
}
.main3 h2{
    color: aliceblue;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 35px;
    position: absolute;
    left: 14%;
    top: 45%;
    text-shadow: 5px 5px 2px black;
}
.main3 h2 span{
    color: blue;
}
.main3 pre{
    color: aliceblue;
    font-family: cursive;
    font-size: 15px;
    position: absolute;
    left: 14%;
    top: 55%;
    text-shadow: 5px 5px 2px black;
}
.h1m{
    animation: h1m 1s ease-in-out;
}
@keyframes h1m{
    0%{
        transform: translateX(100%);
    }
}
.h2m{
    animation: h2m 1s ease-in-out;
}
@keyframes h2m{
    0%{
        transform: translatey(100%);
    }
}
.h3m{
    animation: h3m 1s ease-in-out;
}
@keyframes h3m{
    0%{
        transform: translateY(-100%);
    }
}
.prem{
    animation: prem 1s ease-in-out;
}
@keyframes prem{
    0%{
        transform: translateY(100%);
    }
}
.main5{
    color: black;
    font-size: 10px;
    position: absolute;
    top: 75%;
    left: 20%;
    padding: 20px;
}
.social-media a{
    width: 50px;
    height: 50px;
    font-size: 30px;
    border: 2px solid blue;
    border-radius: 50%;
    color: rgb(92, 162, 241);
    display: inline-flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 70%;
    left: 20%;
}
.social-media a:hover{
    background: blue;
    color: rgba(253, 241, 241, 0.603);
    box-shadow: 0 0 20px blue;
}
.btn{
    position: absolute;
    top: 80%;
    left: 19%;
    display: inline-block;
    padding: 12px 30px;
    background: blue;
    border-radius: 20px;
    text-decoration: none;
    color: rgba(253, 241, 241, 0.603);
    box-shadow: 0 0 20px blue;
    border-top: 1px solid blue;
    border-bottom: 1px solid blue;
    border-left: 1px solid blue;
    border-right: 1px solid blue;
    animation: btn 1s ease-in-out;
}
@keyframes btn{
    0%{
        transform: translateY(100%);
    }
}
.social-media1 a{
    width: 50px;
    height: 50px;
    display: inline-flex;
    background: transparent;
    border: 2px solid blue;
    border-radius: 50%;
    font-size: 30px;
    color: rgb(92, 162, 241);
    justify-content: center;
    align-items: center;
    text-decoration: none; 
    position: absolute;
    top: 70%;
    left: 25%; 
    margin-right: 50px;
    transition: .3s;
}
.social-media1 a:hover{
    background: blue;
    color: rgba(253, 241, 241, 0.603);
    box-shadow: 0 0 20px blue;
}

@media screen and (max-width:1200px){
    main{
        width: 100%;
        text-align: center;
    }
    header{
        font-size: 25px;
    }
    nav{
        position: absolute;
        right: 7%;
        top: 20%;
    }
    nav a{
        font-size: 20px;
        margin-right: 20px;
    }
    .main3 h3{
        font-size: 30px;
        position: absolute;
        top: 30%;
        left: 10%;
    }
    .main3 h1{
        font-size: 40px;
        position: absolute;
        top: 37%;
        left: 12%;
    }
    .main3 h2{
        font-size: 30px;
        position: absolute;
        top: 48%;
        left: 10%;
    }
    .main3 pre{
        font-size: 14px;
        position: absolute;
        top: 58%;
        left: 10%;
    }
    img{
        width: 100%;
        max-width: 100%;
        max-height: 100px;

    }
    .social-media1{
        position: absolute;
        left: 40%;
        top: 75%;
    }
    .social-media{
        position: absolute;
        left: 25%;
        top: 75%;
    }
    .btn{
        position: absolute;
        left: 23%;
        top: 85%;
    }

}
@media screen and (max-width:375px){
    header{
        font-size: 25px;
    }
    nav{
        position: absolute;
        right: 4%;
        top: 20%;
    }
    nav a{
        font-size: 18px;
        margin-right: 10px;
    }
    
    .main3 h3{
        font-size: 25px;
        position: absolute;
        top: 29%;
        left: 10%;
    }
    .main3 h1{
        font-size: 30px;
        position: absolute;
        top: 35%;
        left: 12%;
    }
    .main3 h2{
        font-size: 27px;
        position: absolute;
        top: 44%;
        left: 10%;
    }
    .main3 pre{
        font-size: 11px;
        position: absolute;
        top: 58%;
        left: 10%;
    }
    img{
        width: 100%;
        max-width: 100%;
        max-height: 80px;
    }
    .social-media1{
        position: absolute;
        left: 40%;
        top: 71%;
    }
    .social-media{
        position: absolute;
        left: 25%;
        top: 71%;
    }
    .btn{
        position: absolute;
        left: 23%;
        top: 82%;
    }

}
